productionrecap
Prev | DocBook Element Reference | Next

This is an alpha version of this book.

# productionrecap

productionrecap — A cross-reference to an EBNF production

## Synopsis

### Content Model

    productionrecap ::=
    EMPTY

### Attributes

Common attributes

Name | Type | Default
linkend | IDREF | Required

## Description

This element is only available if you are using the EBNF Module.

A `ProductionRecap` is a cross reference to a `Production`.

### Processing expectations

A `ProductionRecap` is rendered exactly like the production to which it refers. The purpose of the `ProductionRecap` element is to allow a `ProductionSet` to contain copies of `Production`s defined elsewhere. This frequently makes it easier for readers to understand.

### Parents

These elements contain productionrecap: `productionset`.

## Attributes

linkend

  FIXME:

## Examples

For examples, see `productionset` .

Prev | Home | Next
production | Up | productionset

Copyright© 1999, 2000, 2001 O'Reilly & Associates, Inc. All rights reserved.